For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve check payment details

Retrieve the check payment details that customers must use or have used to pay for an order.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier string, output of the Login method. An exception is thrown if the values are incorrect.

refNo

Required (string) Order reference number of an order that was marked with CHECK as payment method.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$proformaNumber = 'YOUR_PROFORMA_NUMBER';

try {
    $Proforma= $client->setProforma ($sessionID, $proformaNumber);
} catch (SoapFault $e) {
    echo "ProformaOutput: " . $e->getMessage();
    exit;
}
var_dump ("ProformaOutput", $Proforma);

$paymentDetails = new stdClass();
$paymentDetails->Type = 'CHECK';
$paymentDetails->Curency = 'YOUR_CURRENCY';
$paymentDetails->CustomerIP = 'CUSTOMER_IP';

try {
    $PaymentDetailsSet= $client->setPaymentDetails($sessionID, $paymentDetails);
} catch (SoapFault $e) {
    Echo "Payment: " . $e->getMessage();
    exit;
}
var_dump ("Payment", $PaymentDetailsSet);

try {
    $ProformaPay= $client->payProforma($sessionID);
} catch (SoapFault $e) {
    Echo "ProformaPaid: " . $e->getMessage();
    exit;
}
var_dump ("ProformaPaid ", $ProformaPay);

$refNo = 'YOUR_ORDER_REFNO'

try {
    $client->getCheckPaymentDetails ($sessionID, $refNo);
} catch (SoapFault $e) {
    echo "Error: " . $e->getMessage();
}

Response parameters

Parameter
Type / Description

CheckPaymentDetails

Object

Details below

CheckPaymentDetails.Beneficiary

String

Payment beneficiary name. Can be NULL.

CheckPaymentDetails.CheckPostalAddress

String

Beneficiary address. Can be NULL.

CheckPaymentDetails.CheckAccountHolderName

String

Beneficiary account holder name. Can be NULL.

CheckPaymentDetails.Country

String

Beneficiary country. Can be NULL.

CheckPaymentDetails.Amount

Double

Total order costs. Can be NULL.

CheckPaymentDetails.Currency

String

Order currency ISO code – ISO 4217. Can be NULL.

Errors

Error
Description

INVALID_PARTNER

No partner is set.

PAYMENT_PROFORMA

You have to set a partner invoice first.

PAYMENT_NOT_SUPPORTED

The current partner invoice is not set as payable through check.

Last updated

Was this helpful?